# Dossier de premier niveau de notre organisation.
resource "google_folder" "HPROD" {
  display_name = "HPROD"
  parent       = "organizations/113433426282"
}

resource "google_folder" "PREPROD" {
  display_name = "PREPROD"
  parent       = "organizations/113433426282"
}

resource "google_folder" "PROD" {
  display_name = "PROD"
  parent       = "organizations/113433426282"
}

resource "google_folder" "SANDBOX" {
  display_name = "SANDBOX"
  parent       = "organizations/113433426282"
}

# Dossier imbriqué dans un autre dossier.
# Périmètre DATA
resource "google_folder" "DATA_HPROD" {
  display_name = "DATA"
  parent       = google_folder.HPROD.name
}

resource "google_folder" "DATA_PREPROD" {
  display_name = "DATA"
  parent       = google_folder.PREPROD.name
}

resource "google_folder" "DATA_PROD" {
  display_name = "DATA"
  parent       = google_folder.PROD.name
}

resource "google_folder" "DATA_SANDBOX" {
  display_name = "DATA"
  parent       = google_folder.SANDBOX.name
}

# Périmètre INFRA
resource "google_folder" "INFRA_HPROD" {
  display_name = "INFRA"
  parent       = google_folder.HPROD.name
}

resource "google_folder" "INFRA_PREPROD" {
  display_name = "INFRA"
  parent       = google_folder.PREPROD.name
}

resource "google_folder" "INFRA_PROD" {
  display_name = "INFRA"
  parent       = google_folder.PROD.name
}

# Périmètre PUBLIC
resource "google_folder" "PUBLIC_HPROD" {
  display_name = "PUBLIC"
  parent       = google_folder.HPROD.name
}

resource "google_folder" "PUBLIC_PREPROD" {
  display_name = "PUBLIC"
  parent       = google_folder.PREPROD.name
}

resource "google_folder" "PUBLIC_PROD" {
  display_name = "PUBLIC"
  parent       = google_folder.PROD.name
}

# Périmètre SECURITY
resource "google_folder" "SECURITY_HPROD" {
  display_name = "SECURITY"
  parent       = google_folder.HPROD.name
}

resource "google_folder" "SECURITY_PREPROD" {
  display_name = "SECURITY"
  parent       = google_folder.PREPROD.name
}

resource "google_folder" "SECURITY_PROD" {
  display_name = "SECURITY"
  parent       = google_folder.PROD.name
}

# Périmètre OPS
resource "google_folder" "OPS_PROD" {
  display_name = "OPS"
  parent       = google_folder.PROD.name
}